%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile python -c "import compileall; compileall.compile_dir('.')"

Summary:	An easy to use multimedia transcoder for the GNOME Desktop
Name:		arista
Version:	0.9.7
Release:	%mkrel 6
License:	LGPLv2+
Group:		Video/Editors and Converters
Url:		http://programmer-art.org/projects/arista-transcoder
Source:		http://programmer-art.org/media/releases/arista-transcoder/%{name}-%{version}.tar.gz
# (cjw) we don't have faac so use voaacenc instead (alternative: ffenc_aac)
Patch1:		arista-0.9.7-nofaac.patch
BuildArch:	noarch
BuildRequires:	python-devel
Requires:	python-gudev
Requires:	pygtk2.0
Requires:	gnome-python-gconf
Requires:	gstreamer0.10-python
Requires:	gstreamer0.10-ffmpeg
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-bad
Requires:	gstreamer0.10-plugins-ugly


%description
An easy to use multimedia transcoder for the GNOME Desktop. Arista
focuses on being easy to use by making the complex task of encoding
for various devices simple. Pick your input, pick your target device,
choose a file to save to and go.

%prep
%setup -q
# cannot easily use -b because backup files will be included in rpm
%patch1 -p1

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}

rm -f %buildroot%{_datadir}/locale/templates/arista.pot %buildroot%_prefix/lib/nautilus/extensions-2.0/python/arista-nautilus.py

%find_lang %name

%files -f %name.lang
%doc AUTHORS LICENSE
%{_bindir}/%{name}*
%{py_puresitedir}/%{name}*.egg-info
%{py_puresitedir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/nautilus-python/extensions/arista-nautilus.py


%changelog

* Mon Jan 21 2013 barjac <barjac> 0.9.7-6.mga3
+ Revision: 390574
- update group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 cjw <cjw> 0.9.7-4.mga3
+ Revision: 262326
- fix patch1: also drop profile argument not supported by voaacenc in arista-gtk itself

* Wed Jun 20 2012 cjw <cjw> 0.9.7-3.mga3
+ Revision: 262260
- patch1: use voaacenc instead of faac to encode audio as AAC

* Mon Mar 19 2012 sander85 <sander85> 0.9.7-2.mga2
+ Revision: 224417
- fix hal problems (https://github.com/danielgtaylor/arista/issues/80)

* Tue Sep 06 2011 tv <tv> 0.9.7-1.mga2
+ Revision: 139219
- fix file list
- new release

* Fri Apr 15 2011 ennael <ennael> 0.9.5-2.mga1
+ Revision: 85929
- clean spec file
- imported package arista


* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.9.5-2mdv2011.0
+ Revision: 592381
- rebuild for python 2.7

* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 0.9.5-1mdv2011.0
+ Revision: 582961
- New version 0.9.5

* Thu Dec 03 2009 Jérôme Brenier <incubusss@mandriva.org> 0.9.3-3mdv2010.1
+ Revision: 472992
+ rebuild (emptylog)

* Thu Dec 03 2009 Jérôme Brenier <incubusss@mandriva.org> 0.9.3-2mdv2010.1
+ Revision: 472924
- fix Requires

* Wed Dec 02 2009 Jérôme Brenier <incubusss@mandriva.org> 0.9.3-1mdv2010.1
+ Revision: 472625
- add specfile and source
- Created package structure for arista.

